<section class="container-fluid animated fadeIn">
  <div class="row wall wall-sm mb">
    <div class="col"></div>
    <div class="col-md-auto">
      <button class="btn-outline w-100" routerLink="/panel/discount/add">{{ 'discount.create.title' | translate }}</button>
    </div>
    <!-- <div class="col-md-auto">
      <input class="search-input small text-center" type="text" placeholder="{{ 'search' | translate }}">
    </div> -->
  </div>

  <div class="row pb">
    <div class="col-12">
      <div class="wall">
        <div class="table-wrapper">
          <table class="table">
            <thead>
              <th>{{ 'discount.name_fa' | translate }}</th>
              <th>{{ 'discount.discount_percent' | translate }}</th>
              <th>{{ 'discount.discount_value' | translate }}</th>
              <th>{{ 'discount.discount_expire_time' | translate }}</th>
              <th>{{ 'discount.has_time' | translate }} </th>
              <th class="text-center">{{ 'operation.actions' | translate }}</th>
            </thead>
            <tbody>
              <tr *ngFor="let res of discounts">
                <td>{{ res.name_fa }}</td>
                <td>{{ res.discount_percent | number }}</td>
                <td>{{ res.discount_value }}</td>
                <td>{{ res.discount_expire_time }}</td>
                <td *ngIf="res.has_time == true"> {{ 'discount.valid' | translate }} </td>
                <td *ngIf="res.has_time == false">{{ 'discount.invalid' | translate }}</td>
                <td class="text-center">
                  <div class="icon icon-remove tools delete" (click)="deleteSubscription(res.id)"></div>
                </td>
              </tr>
            </tbody>
            <tfoot>
              <tr [hidden]="discounts.length">
                <td colspan="9" class="text-center">
                  <b>{{ 'table.empty' | translate }}</b>
                </td>
              </tr>
            </tfoot>
          </table>
        </div>
      </div>
    </div>
  </div>
</section>